Recommended update for ses-manual_en

SUSE Recommended Update: Recommended update for ses-manual_en
Announcement ID: SUSE-RU-2019:2208-1
Rating: important
References: #1121999 #1126329 #1135616 #1136996 #1138585 #1138846 #1139981 #1141020 #1141287 #1142341 #1142627 #1143551
Affected Products:
  • SUSE Enterprise Storage 6

An update that has 12 recommended fixes can now be installed.

Description:

This update for the SUSE Storage 6 manuals contains the following:

  • SES6 on CaaSPv4 (jsc#SES-720) New chapter describing how to utilize SES6 storage features in CaaSPv4 Kubernetes cluster.
  • WAL/DB recommendations (bsc#1126329) Updated and simplified the recommended size of WLA/DB partitions for most OSD deployments.
  • LVM cache (jsc#SES-268) New chapter describes how to add LVM cache feature to OSDs to improve read/write performance.
  • updated typo in a graphical scheme (bsc#1121999)
  • firewalld replaced SuSEfirewall (bsc#1138585) SuSEfirewall service became obsolete, was replaced by firewalld. Deployment chapter needed an update with firewalld.
  • Supported CephFS clients are SLE version 12 SP3+ or 15+ (bsc#1136996)
  • CephFS snapshots are now supported (bsc#1141020) In previous versions, CephFS snapshots were not a supported feature. Since SES6 this changed.
  • osd.[replace/remove] is correct, not [replace/remove.osd] (bsc#1141287) Documentation included wrong salt 'replace.osd' and 'remove.osd' commands, correct version is 'osd.replace' and 'osd.remove'
  • ceph.purge runner and purging custom roles (bsc#1138846) When custom dashboard roles exist, manual interaction is needed if running 'ceph.purge' salt runner
  • updated filtering disks by size (bsc#1142627) Section on filtering disk devices by their size in drive group layout included incorrect information on limiting the minimal and maximal size.
  • DeepSea grain is mandatory (bsc#1139981) Setting the DeepSea grain is mandatory when specifying salt minions belonging to Ceph cluster.
  • 'ceph df' command output was updated to match new version (bsc#1143551)
  • described 3 new advanced options related to configuring iSCSI gateway (bsc#1142341)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Enterprise Storage 6:
    zypper in -t patch SUSE-Storage-6-2019-2208=1

Package List:

  • SUSE Enterprise Storage 6 (noarch):
    • ses-admin_en-pdf-6+git118.8bfd3f8-3.9.1
    • ses-deployment_en-pdf-6+git118.8bfd3f8-3.9.1
    • ses-manual_en-6+git118.8bfd3f8-3.9.1

References: